Python3.7下安装scrapy框架

#环境:Python 3.7.0 ( Jun 27 2018) [Win10 64 bit]

现在是2018年7月31日,安装python3.7和scrapy,记录安装过程中出现了一些可能会出现的报错。


首先是安装Python, 对应自己的OS版本

  • Python for Windows:windows下载

    tip: 在安装时最下面勾选加入path
    安装成功后命令行中直接输入python如下显示即为安装成功,安装python几乎不会出错。安装成功


安装scrapy for Windows

打开命令行,如果直接pip install scrapy,报错一系列happy。

*提示:如果安装过程中出现报错pip版本太低,即刻升级pip,代码如下

python -m pip install --upgrade pip


先装好以下4个插件,就不会看到会出现的报错Microsoft Visual C++ 14.0 is required


0.直接安装wheel,在cmd直接
pip install wheel

成功后在cmd输入wheel,出现下图
wheel成功

  1. 下载Lxml
  2. 下载twisted
  3. 下载Pywin32 --一定要下对应版本

For Lxml、twisted:
cp37对应py3.7,自行选择32 or 64位。没有3.7就用3.6
安装时,运行cmd,输入pip install + 文件路径 即可
ex: pip install C:\Users\name\Downloads\Twisted-18.7.0-cp37-cp37m-win_amd64.whl

For Pywin32:
无脑下一步



安装完以上几项之后,在cmd里输入

pip install scrapy

安装完毕,cmd里输入scrapy出现安装成功。
这里写图片描述
至此,Python3.7和对应的scrapy已经装完,可用官方文档的代码测试,测试执行时可能还会遇到个坑 Python3.7 scrapy遇到async报错


展开阅读全文

没有更多推荐了,返回首页